futhark-0.25.27: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.Pass.ExtractKernels.StreamKernel

Synopsis

- segThreadCapped :: MonadFreshNames m => MkSegLevel GPU m

# Documentation

segThreadCapped :: MonadFreshNames m => MkSegLevel GPU m Source #

Like `segThread`, but cap the thread count to the input size. This is more efficient for small kernels, e.g. summing a small array.